Bug 114000 - How do I fix the __ctype v. __ctype_loc problem?
How do I fix the __ctype v. __ctype_loc problem?
Status: CLOSED NOTABUG
Product: Red Hat Linux
Classification: Retired
Component: glibc (Show other bugs)
9
i686 Linux
high Severity medium
: ---
: ---
Assigned To: Jakub Jelinek
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-01-21 01:26 EST by RH
Modified: 2016-11-24 10:13 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-08-25 21:48:35 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description RH 2004-01-21 01:26:57 EST
Linux doesn't support __ctype, __ctype_toupper and __ctype_tolwer any 
longer, and instead __ctype_loc, __ctype_toupper_loc and 
__ctype_tolower_loc were created to replace them.  I've read through 
the bugs concerning this problem, but I haven't found a well-
documented process on what really needs to happen.  I'm not looking 
for a work around, but rather a patch that I need to apply, the steps 
I need to take, etc..
I'm running Redhat 9, and glibc 2.3.2-11.9.

Please let me know which patches I need to apply, where I can get 
them (web site and file names), in which order I should do it, and 
any other thing I need to do.

Your help is greatly appreciated!!
RH
Comment 1 Jakub Jelinek 2004-01-21 11:23:08 EST
There is binary compatibility just for shared libraries and binaries.
If you have .a libraries or object files (*.o) built on older distributions
floating around, you need to rebuild them.
Alternatively, you can build them against glibc they have been compiled
with and then move the linked executable or shared library to a
newer distribution.
Comment 2 RH 2004-01-21 12:48:48 EST
What if I have never had an upgrade.  That is, everything was built 
on the version of glibc that I have today, which is 2.3.2-11.9?

Somewhere I read that if I upgrade to glibc 2.3.2-5 that it should 
work?  Somewhere else I read that there might be some patches that I 
need to apply?
Please help!!

Thanks!
Comment 3 Ulrich Drepper 2004-08-25 21:47:50 EDT
There is no way that you never had an update and everything is built
locally.  Somewhere the new <ctype.h> must have been used and this is
in most cases in some archive.  Archives do not have any compatibility
guarantees.

There is nothing we can do.  You created the situation for yourself so
you'll have to dig yourself out of it.
Comment 4 Ulrich Drepper 2004-08-25 21:48:35 EDT
I meant to close the bug...

Note You need to log in before you can comment on or make changes to this bug.